<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
//extract($_POST);

$realizo =$_POST['realizo'];
  $comments =$_POST['comments'];

$continuar=0;

$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$id_cd";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$usuario = $rp3->nombre;
	
$qp31 = "select curdate() as lafech, curtime() as latime";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$hoy = $rp31->lafech;
$hora = $rp31->latime;

$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());


//inserts

 	$qPP8 = "insert into invreg(id_cd, fechai, horai, realizo, observaciones) values ('$id_cd','$hoy','$hora','$realizo','$comments')";
$rPP8 = mysql_query($qPP8) or die ('ErrPP: '. mysql_error());

$qp31 = "select id_inv from invreg where id_cd=$id_cd and fechai=curdate() order by id_inv DESC";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$id_inv = $rp31->id_inv;


echo "<center><font size=\"+2\"><b>Reporte de toma de inventario Inicial</b></font><br> <br>
Fecha <b>$hoy</b> a las <b>$hora horas </b><br> Realizado por: <b>$realizo</b><br>
<table width=\"350\"><tr align=\"center\"><th>Comentarios:</th></tr><tr><td align=\"center\">$comments</td></tr></table><br>
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario2.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Inicial</th>";



while (($objetoPP=mysql_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;

$elbn= $_POST["cant$i"]; $dif=$elbn-$sistema[$i];
$qPP81 = "insert into inventario(id_inv, productos_id_prod, cants, cantf) values ('$id_inv','$i','$elbn','$elbn')";
$rPP81 = mysql_query($qPP81) or die ('ErrPP: '. mysql_error());
if ($elbn!=$sistema[$i]){
	 $qp = "update stock set cantidad='$elbn' where idprod='$i' and idcd='$id_cd'";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
}

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\">$elbn</td>
			

		

		  </tr> 

		 ";

   

}

	echo"</table>
	<br><br><br><table>
	<tr><td>_________________________</td><td>&nbsp;&nbsp;&nbsp;</td><td>_________________________</td></tr>
	<tr align=\"center\"><td>$realizo</td><td>&nbsp;&nbsp;&nbsp;</td><td>$usuario</td></tr>
	</table>
	<br><br>";   



?>
